function manipulateUrl() {
  var url = $('#url').val();
  
  $.ajax({
      type: 'POST',
      url: '../server/index.php',
      data: { url: url },
      dataType: 'json',
      success: function (result) {
          displayResult(result);
      },
      error: function (xhr, status, error) {
          displayError(error);
      }
  });
}

function displayResult(result) {
  console.log(result);
  var resultContainer = $('#result-container');
  resultContainer.empty();
  
  if (result.hasOwnProperty('error')) {
      resultContainer.append('<p class="error">' + result.error + '</p>');
  } else {
      $('#url').val(result.after.replace(/&amp;/g, '&'));
  }
}

function displayError(error) {
  var resultContainer = $('#result-container');
  resultContainer.empty();
  resultContainer.append('<p class="error">Error: ' + error + '</p>');
}

function resetSession() {
  var resultContainer = $('#result-container');
  var textArea = $('#url');

  $.ajax({
    type: 'POST',
    url: '../server/reset_session.php', 
    success: function () {
      alert('Session has been reset.');
      resultContainer.empty();
      textArea.val(''); 
    },
    error: function (xhr, status, error) {
      console.error('Error resetting session:', error);
    }
  });
}

